<?xml version='1.0'?>

<reference anchor='RFC0963'>

<front>
<title abbrev='Some Problems with MIL-STD IP'>Some problems with the specification of the Military Standard Internet Protocol</title>
<author initials='D.' surname='Sidhu' fullname='Deepinder P. Sidhu'>
<organization>Iowa State University</organization></author>
<date month='November' day='1' year='1985' />
<abstract>
<t>This paper points out several significant problems in the specification of the Military Standard Internet Protocol (MIL-STD-1777, dated August 1983).  These results are based on an initial investigation of this protocol standard.  The problems are: (1) a failure to reassemble fragmented messages completely; (2) a missing state transition; (3) errors in testing for reassembly completion; (4) errors in computing fragment sizes; (5) minor errors in message reassembly; (6) incorrectly computed length for certain datagrams.  This note also proposes solutions to these problems.</t></abstract></front>

<seriesInfo name='RFC' value='963' />
</reference>
